{========================================================================}
{=                          (c) 1998 MiSoftware                         =}
{========================================================================}
{=                          All Rights Reserved                         =}
{========================================================================}
{=  MiSoftware                  = Tel.: +61 417 572 065                 =}
{========================================================================}
{=  Actual versions on http://www.misoftware.com/delphi/                =}
{========================================================================}
{=  This code is for reference purposes only and may not be copied or   =}
{=  distributed in any format electronic or otherwise except one copy   =}
{=  for backup purposes.                                                =}
{=                                                                      =}
{=  No Delphi Component Kit or Component individually or in a collection=}
{=  subclassed or otherwise from the code in this unit, or associated   =}
{=  .pas, .dfm, .dcu, .asm or .obj files may be sold or distributed     =}
{=  without express permission from MiSoftware.                         =}
{=                                                                      =}
{=  For more licence informations please refer to the associated        =}
{=  HelpFile.                                                           =}
{========================================================================}
{=  $Date: 9/20/98 - 8:22:31 PM $                                      =}
{========================================================================}
unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, HQCreditCard, Mask;

type
  TMainForm = class(TForm)
    CheckBtn: TButton;
    Label1: TLabel;
    CCMaskEdit: TMaskEdit;
    Label2: TLabel;
    CardComboBox: TComboBox;
    Label3: TLabel;
    MComboBox: TComboBox;
    Label4: TLabel;
    YComboBox: TComboBox;
    HQCreditCheck1: THQCreditCheck;
    procedure CheckBtnClick(Sender: TObject);
    procedure CardComboBoxChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure HQCreditCheck1InvalidNumber(Sender: TObject);
    procedure HQCreditCheck1InvalidType(Sender: TObject);
    procedure HQCreditCheck1Valid(Sender: TObject);
    procedure HQCreditCheck1InvalidDate(Sender: TObject);
    procedure HQCreditCheck1Expired(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.CheckBtnClick(Sender: TObject);
begin

HQCreditCheck1.CardNumber := CCMaskEdit.Text;
HQCreditCheck1.ExprDate := MComboBox.Text + '/' + YComboBox.Text;

Case HQCreditCheck1.CheckCreditCard of
ccvInvalidType   : ShowMessage('Card Type Invalid');
ccvValid         : ShowMessage('Card Valid ');
ccvInvalidNumber : ShowMessage('Card Number Invalid');
ccvExpired       : ShowMessage('Card Expired');
ccvInvalidDate   : ShowMessage('Invalid Date');
end;

end;

procedure TMainForm.CardComboBoxChange(Sender: TObject);
begin

Case CardComboBox.ItemIndex of
0: HQCreditCheck1.CardType := cctVisa;
1: HQCreditCheck1.CardType := cctMastercard;
2: HQCreditCheck1.CardType := cctAmex;
3: HQCreditCheck1.CardType := cctDiscover;
4: HQCreditCheck1.CardType := cctDiners;
end;

end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
MComboBox.ItemIndex := 0;
YComboBox.ItemIndex := 0;
end;

procedure TMainForm.HQCreditCheck1InvalidNumber(Sender: TObject);
begin
ShowMessage ('That is not your card number is it?');
end;

procedure TMainForm.HQCreditCheck1InvalidType(Sender: TObject);
begin
ShowMessage ('You did not guess the right card type!');
end;

procedure TMainForm.HQCreditCheck1Valid(Sender: TObject);
begin
ShowMessage ('What a GUESS!');
end;

procedure TMainForm.HQCreditCheck1InvalidDate(Sender: TObject);
begin
ShowMessage ('Now THAT is not a valid card date');
end;

procedure TMainForm.HQCreditCheck1Expired(Sender: TObject);
begin
ShowMessage ('Contact your bank to get a new card Mr.!');
end;

end.
